Skip to main content
`Ctrl`+`K`

# MATSEQSELLCUDA

MATSELLCUDA = “(seq)sellcuda” - A matrix type to be used for sparse matrices on NVIDIA GPUs.

## Options Database Keys

- -mat_type seqsellcuda - sets the matrix type to “seqsellcuda” during a call to `MatSetFromOptions()`

- -mat_sell_spmv_cuda_kernel - selects a spmv kernel for MatSELLCUDA

- -mat_sell_spmv_cuda_blocky - sets the y dimension of the block size of the spmv kernels. These kernels use a 2D block with the x dimension being 32

## See Also

Matrices, `Mat`, `MATSELLCUDA`

## Level

beginner

## Location

src/mat/impls/sell/seq/seqcuda/sellcuda.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages